[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# softfloat_rounding_mode

Rounding mode for softfloat

## Declaration

Source position: mathh.inc line 88

`var softfloat_rounding_mode: TFPURoundingMode;`

## Description

softfloat_rounding_mode determines how the software floating-point emulation routines do the rounding. The value can be one of the following:

float_round_nearest_even
  Round to nearest even number
float_round_down
  Round down
float_round_up
  Round up
float_round_to_zero
  Round in the direction of zero (down for positive, up for negative)